# __gnu_cxx::_Refcount_Base Struct Reference

Inheritance diagram for __gnu_cxx::_Refcount_Base:

List of all members.

## Detailed Description

Definition at line 439 of file rope.

## Public Types

- typedef size_t _RC_t

## Public Member Functions

- _RC_t _M_decr ()
- void _M_incr ()
- _Refcount_Base (_RC_t __n)

## Public Attributes

- volatile _RC_t _M_ref_count
- __gthread_mutex_t _M_ref_count_lock

The documentation for this struct was generated from the following file:

- rope